Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.common.ui.composites
Class CheckedSelectModelClassCompositeImpl

    java.lang.Object
      org.eclipse.emf.ecp.spi.common.ui.composites.AbstractFilteredSelectionComposite<org.eclipse.jface.viewers.TreeViewer>
          org.eclipse.emf.ecp.spi.common.ui.composites.AbstractEClassTreeSelectionComposite
              org.eclipse.emf.ecp.spi.common.ui.composites.CheckedSelectModelClassCompositeImpl

All Implemented Interfaces:
  CheckedModelClassComposite, CompositeProvider

    public class CheckedSelectModelClassCompositeImpl

extends AbstractEClassTreeSelectionComposite
implements CheckedModelClassComposite

This class provides a CheckedTree that allows the user to select `EPackages` and `EClasses`.

Author:
  Eugen Neufeld

Constructor Summary
`CheckedSelectModelClassCompositeImpl(Collection<org.eclipse.emf.ecore.EPackage> unsupportedEPackages, Collection<org.eclipse.emf.ecore.EPackage> filteredEPackages, Collection<org.eclipse.emf.ecore.EClass> filteredEClasses)` Constructor setting the necessary data for selecting the `EClasses`.

Method Summary
`org.eclipse.swt.widgets.Composite` | `createUI(org.eclipse.swt.widgets.Composite parent)` This method creates a UI bundled into a `Composite` that can be used anywhere.
`Object[]` | `getChecked()` Returns the checked Elements.
`org.eclipse.jface.viewers.CheckboxTreeViewer` | `getViewer()` Returns the used `StructuredViewer`.
`void` | `setInitialSelection(Object[] selection)` Initialize the selection by setting the checked elements.

Methods inherited from class org.eclipse.emf.ecp.spi.common.ui.composites.AbstractEClassTreeSelectionComposite
`dispose`

Methods inherited from class org.eclipse.emf.ecp.spi.common.ui.composites.AbstractFilteredSelectionComposite
`getSelection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecp.spi.common.ui.CheckedModelClassComposite
`getSelection`

Methods inherited from interface org.eclipse.emf.ecp.spi.common.ui.CompositeProvider
`dispose`

Constructor Detail

### CheckedSelectModelClassCompositeImpl

    public CheckedSelectModelClassCompositeImpl(Collection<org.eclipse.emf.ecore.EPackage> unsupportedEPackages,
                                                Collection<org.eclipse.emf.ecore.EPackage> filteredEPackages,
                                                Collection<org.eclipse.emf.ecore.EClass> filteredEClasses)

  Constructor setting the necessary data for selecting the `EClasses`.

  Parameters:
    `unsupportedEPackages` - `EPackages` that are not supported
    `filteredEPackages` - `EPackages` selected by the user
    `filteredEClasses` - `EClasses` selected by the user

Method Detail

### createUI

    public org.eclipse.swt.widgets.Composite createUI(org.eclipse.swt.widgets.Composite parent)

  Description copied from class: `AbstractFilteredSelectionComposite`
  This method creates a UI bundled into a `Composite` that can be used anywhere.

  Specified by:
    `createUI` in interface `CompositeProvider`
  Overrides:
    `createUI` in class `AbstractFilteredSelectionComposite<org.eclipse.jface.viewers.TreeViewer>`
  Parameters:
    `parent` - the parent `Composite`
  Returns:
    the created `Composite`

### getViewer

    public org.eclipse.jface.viewers.CheckboxTreeViewer getViewer()

  Description copied from class: `AbstractFilteredSelectionComposite`
  Returns the used `StructuredViewer`.

  Specified by:
    `getViewer` in interface `CheckedModelClassComposite`
  Overrides:
    `getViewer` in class `AbstractFilteredSelectionComposite<org.eclipse.jface.viewers.TreeViewer>`
  Returns:
    the treeViewer

### getChecked

    public Object[] getChecked()

  Returns the checked Elements.

  Specified by:
    `getChecked` in interface `CheckedModelClassComposite`
  Returns:
    an array containing the checked elements

### setInitialSelection

    public void setInitialSelection(Object[] selection)

  Initialize the selection by setting the checked elements.

  Specified by:
    `setInitialSelection` in interface `CheckedModelClassComposite`
  Parameters:
    `selection` - the objects to check

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.